Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Update Makefile.am so that all tesh files are distributed as well as other xml/trace...
[simgrid.git] / examples / amok / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 target_triplet = @target@
47 noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
48         bandwidth/bandwidth_sensor$(EXEEXT) \
49         bandwidth/bandwidth_simulator$(EXEEXT) \
50         saturate/saturate_maestro$(EXEEXT) \
51         saturate/saturate_sensor$(EXEEXT) \
52         saturate/saturate_simulator$(EXEEXT)
53 XFAIL_TESTS =
54 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
55 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
56 @GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
57 @GRAS_ARCH_32_BITS_FALSE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
58 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
59         $(top_srcdir)/acmacro/dist-files.mk
60 subdir = examples/amok
61 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
62 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
63         $(top_srcdir)/acmacro/compiler-flags.m4 \
64         $(top_srcdir)/acmacro/context.m4 \
65         $(top_srcdir)/acmacro/fancy_configury.m4 \
66         $(top_srcdir)/acmacro/flex.m4 \
67         $(top_srcdir)/acmacro/gras_arch.m4 \
68         $(top_srcdir)/acmacro/print_null.m4 \
69         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
70 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
71         $(ACLOCAL_M4)
72 mkinstalldirs = $(install_sh) -d
73 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
74 CONFIG_CLEAN_FILES =
75 PROGRAMS = $(noinst_PROGRAMS)
76 am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
77         _bandwidth_maestro.$(OBJEXT)
78 bandwidth_bandwidth_maestro_OBJECTS =  \
79         $(am_bandwidth_bandwidth_maestro_OBJECTS)
80 bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
81 am__dirstamp = $(am__leading_dot)dirstamp
82 am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
83         _bandwidth_sensor.$(OBJEXT)
84 bandwidth_bandwidth_sensor_OBJECTS =  \
85         $(am_bandwidth_bandwidth_sensor_OBJECTS)
86 bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
87 am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
88         _bandwidth_simulator.$(OBJEXT)
89 bandwidth_bandwidth_simulator_OBJECTS =  \
90         $(am_bandwidth_bandwidth_simulator_OBJECTS)
91 bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
92 am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
93         _saturate_maestro.$(OBJEXT)
94 saturate_saturate_maestro_OBJECTS =  \
95         $(am_saturate_saturate_maestro_OBJECTS)
96 saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
97 am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
98         _saturate_sensor.$(OBJEXT)
99 saturate_saturate_sensor_OBJECTS =  \
100         $(am_saturate_saturate_sensor_OBJECTS)
101 saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
102 am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
103         _saturate_simulator.$(OBJEXT)
104 saturate_saturate_simulator_OBJECTS =  \
105         $(am_saturate_saturate_simulator_OBJECTS)
106 saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
107 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
108 depcomp = $(SHELL) $(top_srcdir)/depcomp
109 am__depfiles_maybe = depfiles
110 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
111         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
112 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
113         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
114         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
115 CCLD = $(CC)
116 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
117         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
118         $(LDFLAGS) -o $@
119 SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
120         $(bandwidth_bandwidth_sensor_SOURCES) \
121         $(bandwidth_bandwidth_simulator_SOURCES) \
122         $(saturate_saturate_maestro_SOURCES) \
123         $(saturate_saturate_sensor_SOURCES) \
124         $(saturate_saturate_simulator_SOURCES)
125 DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
126         $(bandwidth_bandwidth_sensor_SOURCES) \
127         $(bandwidth_bandwidth_simulator_SOURCES) \
128         $(saturate_saturate_maestro_SOURCES) \
129         $(saturate_saturate_sensor_SOURCES) \
130         $(saturate_saturate_simulator_SOURCES)
131 ETAGS = etags
132 CTAGS = ctags
133 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
134 ACLOCAL = @ACLOCAL@
135 ADDR2LINE = @ADDR2LINE@
136 AMTAR = @AMTAR@
137 AM_CPPFLAGS = @AM_CPPFLAGS@
138 AR = @AR@
139 AS = @AS@
140 AUTOCONF = @AUTOCONF@
141 AUTOHEADER = @AUTOHEADER@
142 AUTOMAKE = @AUTOMAKE@
143 AWK = @AWK@
144 BASH = @BASH@
145 CC = @CC@
146 CCDEPMODE = @CCDEPMODE@
147 CFLAGS = @CFLAGS@
148 CPP = @CPP@
149 CPPFLAGS = @CPPFLAGS@
150 CXX = @CXX@
151 CXXCPP = @CXXCPP@
152 CXXDEPMODE = @CXXDEPMODE@
153 CXXFLAGS = @CXXFLAGS@
154 CYGPATH_W = @CYGPATH_W@
155 DEFS = @DEFS@
156 DEPDIR = @DEPDIR@
157 DLLTOOL = @DLLTOOL@
158 DOXYGEN = @DOXYGEN@
159 DSYMUTIL = @DSYMUTIL@
160 ECHO = @ECHO@
161 ECHO_C = @ECHO_C@
162 ECHO_N = @ECHO_N@
163 ECHO_T = @ECHO_T@
164 EGREP = @EGREP@
165 EXEEXT = @EXEEXT@
166 FLEXML = @FLEXML@
167 GCJ = @GCJ@
168 GCJDEPMODE = @GCJDEPMODE@
169 GCJFLAGS = @GCJFLAGS@
170 GRAS_DEP = @GRAS_DEP@
171 GREP = @GREP@
172 INSTALL = @INSTALL@
173 INSTALL_DATA = @INSTALL_DATA@
174 INSTALL_PROGRAM = @INSTALL_PROGRAM@
175 INSTALL_SCRIPT = @INSTALL_SCRIPT@
176 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
177 JAR = @JAR@
178 JAVA = @JAVA@
179 JAVAC = @JAVAC@
180 LDFLAGS = @LDFLAGS@
181 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
182 LEX = @LEX@
183 LEXLIB = @LEXLIB@
184 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
185 LIBOBJS = @LIBOBJS@
186 LIBS = @LIBS@
187 LIBTOOL = @LIBTOOL@
188 LN_S = @LN_S@
189 LTLIBOBJS = @LTLIBOBJS@
190 MAINT = @MAINT@
191 MAKEINFO = @MAKEINFO@
192 MD5SUM = @MD5SUM@
193 MKDIR_P = @MKDIR_P@
194 NMEDIT = @NMEDIT@
195 OBJDUMP = @OBJDUMP@
196 OBJEXT = @OBJEXT@
197 PACKAGE = @PACKAGE@
198 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
199 PACKAGE_NAME = @PACKAGE_NAME@
200 PACKAGE_STRING = @PACKAGE_STRING@
201 PACKAGE_TARNAME = @PACKAGE_TARNAME@
202 PACKAGE_VERSION = @PACKAGE_VERSION@
203 PATH_SEPARATOR = @PATH_SEPARATOR@
204 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
205 RANLIB = @RANLIB@
206 SED = @SED@
207 SET_MAKE = @SET_MAKE@
208 SHELL = @SHELL@
209 SIMGRID_DEP = @SIMGRID_DEP@
210 SMPI_DEP = @SMPI_DEP@
211 STRIP = @STRIP@
212 VERSION = @VERSION@
213 WARNING = @WARNING@
214 abs_builddir = @abs_builddir@
215 abs_srcdir = @abs_srcdir@
216 abs_top_builddir = @abs_top_builddir@
217 abs_top_srcdir = @abs_top_srcdir@
218 ac_configure_args = @ac_configure_args@
219 ac_ct_CC = @ac_ct_CC@
220 ac_ct_CXX = @ac_ct_CXX@
221 am__include = @am__include@
222 am__leading_dot = @am__leading_dot@
223 am__quote = @am__quote@
224 am__tar = @am__tar@
225 am__untar = @am__untar@
226 bindir = @bindir@
227 build = @build@
228 build_alias = @build_alias@
229 build_cpu = @build_cpu@
230 build_id = @build_id@
231 build_os = @build_os@
232 build_vendor = @build_vendor@
233 builddir = @builddir@
234 datadir = @datadir@
235 datarootdir = @datarootdir@
236 docdir = @docdir@
237 dvidir = @dvidir@
238 exec_prefix = @exec_prefix@
239 host = @host@
240 host_alias = @host_alias@
241 host_cpu = @host_cpu@
242 host_os = @host_os@
243 host_vendor = @host_vendor@
244 htmldir = @htmldir@
245 includedir = @includedir@
246 infodir = @infodir@
247 install_sh = @install_sh@
248 libdir = @libdir@
249 libexecdir = @libexecdir@
250 localedir = @localedir@
251 localstatedir = @localstatedir@
252 mandir = @mandir@
253 mkdir_p = @mkdir_p@
254 oldincludedir = @oldincludedir@
255 pdfdir = @pdfdir@
256 prefix = @prefix@
257 program_transform_name = @program_transform_name@
258 psdir = @psdir@
259 pth_skaddr_makecontext = @pth_skaddr_makecontext@
260 pth_sksize_makecontext = @pth_sksize_makecontext@
261 sbindir = @sbindir@
262 sharedstatedir = @sharedstatedir@
263 srcdir = @srcdir@
264 sysconfdir = @sysconfdir@
265 target = @target@
266 target_alias = @target_alias@
267 target_cpu = @target_cpu@
268 target_os = @target_os@
269 target_vendor = @target_vendor@
270 top_builddir = @top_builddir@
271 top_srcdir = @top_srcdir@
272 INCLUDES = -I$(top_srcdir)/include
273 AM_CFLAGS = -g
274
275 ###################
276 # Bandwidth tests #
277 ###################
278
279 ###################
280 # saturate tests #
281 ###################
282 EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml
283 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
284 TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
285         $(am__append_4)
286 LDADD_SG = $(top_builddir)/src/libsimgrid.la
287 LDADD_RL = $(top_builddir)/src/libgras.la
288 bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
289 bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
290 bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
291 bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
292 bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
293 bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
294 saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
295 saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
296 saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
297 saturate_saturate_simulator_LDADD = $(LDADD_SG)
298 saturate_saturate_maestro_LDADD = $(LDADD_RL)
299 saturate_saturate_sensor_LDADD = $(LDADD_RL)
300 all: all-am
301
302 .SUFFIXES:
303 .SUFFIXES: .c .lo .o .obj
304 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
305         @for dep in $?; do \
306           case '$(am__configure_deps)' in \
307             *$$dep*) \
308               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
309                 && exit 0; \
310               exit 1;; \
311           esac; \
312         done; \
313         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/amok/Makefile'; \
314         cd $(top_srcdir) && \
315           $(AUTOMAKE) --gnu  examples/amok/Makefile
316 .PRECIOUS: Makefile
317 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
318         @case '$?' in \
319           *config.status*) \
320             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
321           *) \
322             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
323             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
324         esac;
325
326 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
327         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
328
329 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
330         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
331 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
332         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
333
334 clean-noinstPROGRAMS:
335         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
336           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
337           echo " rm -f $$p $$f"; \
338           rm -f $$p $$f ; \
339         done
340 bandwidth/$(am__dirstamp):
341         @$(MKDIR_P) bandwidth
342         @: > bandwidth/$(am__dirstamp)
343 bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
344         @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
345         $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
346 bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
347         @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
348         $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
349 bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
350         @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
351         $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
352 saturate/$(am__dirstamp):
353         @$(MKDIR_P) saturate
354         @: > saturate/$(am__dirstamp)
355 saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
356         @rm -f saturate/saturate_maestro$(EXEEXT)
357         $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
358 saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
359         @rm -f saturate/saturate_sensor$(EXEEXT)
360         $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
361 saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
362         @rm -f saturate/saturate_simulator$(EXEEXT)
363         $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
364
365 mostlyclean-compile:
366         -rm -f *.$(OBJEXT)
367
368 distclean-compile:
369         -rm -f *.tab.c
370
371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
373 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
374 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
375 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
376 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
377 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
378 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
379
380 .c.o:
381 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
382 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
383 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
384 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
385 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
386
387 .c.obj:
388 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
389 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
390 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
391 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
392 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
393
394 .c.lo:
395 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
396 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
397 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
399 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
400
401 bandwidth.o: bandwidth/bandwidth.c
402 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
403 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
404 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
405 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
406 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
407
408 bandwidth.obj: bandwidth/bandwidth.c
409 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
410 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
411 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
412 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
413 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
414
415 _bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
416 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
417 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
418 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
419 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
420 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
421
422 _bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
423 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
424 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
425 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
426 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
427 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
428
429 _bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
430 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
431 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
432 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
433 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
434 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
435
436 _bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
437 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
438 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
440 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
441 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
442
443 _bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
444 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
445 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
446 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
447 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
448 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
449
450 _bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
451 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
452 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
453 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
454 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
455 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
456
457 saturate.o: saturate/saturate.c
458 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
459 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
460 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
461 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
462 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
463
464 saturate.obj: saturate/saturate.c
465 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
466 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
467 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
468 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
469 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
470
471 _saturate_maestro.o: saturate/_saturate_maestro.c
472 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
473 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
474 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
475 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
476 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
477
478 _saturate_maestro.obj: saturate/_saturate_maestro.c
479 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
480 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
481 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
482 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
483 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
484
485 _saturate_sensor.o: saturate/_saturate_sensor.c
486 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
487 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
488 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
489 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
490 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
491
492 _saturate_sensor.obj: saturate/_saturate_sensor.c
493 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
494 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
495 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
496 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
497 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
498
499 _saturate_simulator.o: saturate/_saturate_simulator.c
500 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
501 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
502 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
503 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
504 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
505
506 _saturate_simulator.obj: saturate/_saturate_simulator.c
507 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
508 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
509 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
510 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
511 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
512
513 mostlyclean-libtool:
514         -rm -f *.lo
515
516 clean-libtool:
517         -rm -rf .libs _libs
518         -rm -rf bandwidth/.libs bandwidth/_libs
519         -rm -rf saturate/.libs saturate/_libs
520
521 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
522         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
523         unique=`for i in $$list; do \
524             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
525           done | \
526           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
527               END { if (nonempty) { for (i in files) print i; }; }'`; \
528         mkid -fID $$unique
529 tags: TAGS
530
531 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
532                 $(TAGS_FILES) $(LISP)
533         tags=; \
534         here=`pwd`; \
535         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
536         unique=`for i in $$list; do \
537             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
538           done | \
539           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
540               END { if (nonempty) { for (i in files) print i; }; }'`; \
541         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
542           test -n "$$unique" || unique=$$empty_fix; \
543           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
544             $$tags $$unique; \
545         fi
546 ctags: CTAGS
547 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
548                 $(TAGS_FILES) $(LISP)
549         tags=; \
550         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
551         unique=`for i in $$list; do \
552             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
553           done | \
554           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
555               END { if (nonempty) { for (i in files) print i; }; }'`; \
556         test -z "$(CTAGS_ARGS)$$tags$$unique" \
557           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
558              $$tags $$unique
559
560 GTAGS:
561         here=`$(am__cd) $(top_builddir) && pwd` \
562           && cd $(top_srcdir) \
563           && gtags -i $(GTAGS_ARGS) $$here
564
565 distclean-tags:
566         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
567
568 check-TESTS: $(TESTS)
569         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
570         srcdir=$(srcdir); export srcdir; \
571         list=' $(TESTS) '; \
572         if test -n "$$list"; then \
573           for tst in $$list; do \
574             if test -f ./$$tst; then dir=./; \
575             elif test -f $$tst; then dir=; \
576             else dir="$(srcdir)/"; fi; \
577             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
578               all=`expr $$all + 1`; \
579               case " $(XFAIL_TESTS) " in \
580               *$$ws$$tst$$ws*) \
581                 xpass=`expr $$xpass + 1`; \
582                 failed=`expr $$failed + 1`; \
583                 echo "XPASS: $$tst"; \
584               ;; \
585               *) \
586                 echo "PASS: $$tst"; \
587               ;; \
588               esac; \
589             elif test $$? -ne 77; then \
590               all=`expr $$all + 1`; \
591               case " $(XFAIL_TESTS) " in \
592               *$$ws$$tst$$ws*) \
593                 xfail=`expr $$xfail + 1`; \
594                 echo "XFAIL: $$tst"; \
595               ;; \
596               *) \
597                 failed=`expr $$failed + 1`; \
598                 echo "FAIL: $$tst"; \
599               ;; \
600               esac; \
601             else \
602               skip=`expr $$skip + 1`; \
603               echo "SKIP: $$tst"; \
604             fi; \
605           done; \
606           if test "$$failed" -eq 0; then \
607             if test "$$xfail" -eq 0; then \
608               banner="All $$all tests passed"; \
609             else \
610               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
611             fi; \
612           else \
613             if test "$$xpass" -eq 0; then \
614               banner="$$failed of $$all tests failed"; \
615             else \
616               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
617             fi; \
618           fi; \
619           dashes="$$banner"; \
620           skipped=""; \
621           if test "$$skip" -ne 0; then \
622             skipped="($$skip tests were not run)"; \
623             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
624               dashes="$$skipped"; \
625           fi; \
626           report=""; \
627           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
628             report="Please report to $(PACKAGE_BUGREPORT)"; \
629             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
630               dashes="$$report"; \
631           fi; \
632           dashes=`echo "$$dashes" | sed s/./=/g`; \
633           echo "$$dashes"; \
634           echo "$$banner"; \
635           test -z "$$skipped" || echo "$$skipped"; \
636           test -z "$$report" || echo "$$report"; \
637           echo "$$dashes"; \
638           test "$$failed" -eq 0; \
639         else :; fi
640
641 distdir: $(DISTFILES)
642         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
643         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
644         list='$(DISTFILES)'; \
645           dist_files=`for file in $$list; do echo $$file; done | \
646           sed -e "s|^$$srcdirstrip/||;t" \
647               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
648         case $$dist_files in \
649           */*) $(MKDIR_P) `echo "$$dist_files" | \
650                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
651                            sort -u` ;; \
652         esac; \
653         for file in $$dist_files; do \
654           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
655           if test -d $$d/$$file; then \
656             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
657             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
658               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
659             fi; \
660             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
661           else \
662             test -f $(distdir)/$$file \
663             || cp -p $$d/$$file $(distdir)/$$file \
664             || exit 1; \
665           fi; \
666         done
667 check-am: all-am
668         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
669 check: check-am
670 all-am: Makefile $(PROGRAMS)
671 installdirs:
672 install: install-am
673 install-exec: install-exec-am
674 install-data: install-data-am
675 uninstall: uninstall-am
676
677 install-am: all-am
678         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
679
680 installcheck: installcheck-am
681 install-strip:
682         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
683           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
684           `test -z '$(STRIP)' || \
685             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
686 mostlyclean-generic:
687
688 clean-generic:
689
690 distclean-generic:
691         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
692         -rm -f bandwidth/$(am__dirstamp)
693         -rm -f saturate/$(am__dirstamp)
694
695 maintainer-clean-generic:
696         @echo "This command is intended for maintainers to use"
697         @echo "it deletes files that may require special tools to rebuild."
698 clean: clean-am
699
700 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
701         mostlyclean-am
702
703 distclean: distclean-am
704         -rm -rf ./$(DEPDIR)
705         -rm -f Makefile
706 distclean-am: clean-am distclean-compile distclean-generic \
707         distclean-tags
708
709 dvi: dvi-am
710
711 dvi-am:
712
713 html: html-am
714
715 info: info-am
716
717 info-am:
718
719 install-data-am:
720
721 install-dvi: install-dvi-am
722
723 install-exec-am:
724
725 install-html: install-html-am
726
727 install-info: install-info-am
728
729 install-man:
730
731 install-pdf: install-pdf-am
732
733 install-ps: install-ps-am
734
735 installcheck-am:
736
737 maintainer-clean: maintainer-clean-am
738         -rm -rf ./$(DEPDIR)
739         -rm -f Makefile
740 maintainer-clean-am: distclean-am maintainer-clean-generic
741
742 mostlyclean: mostlyclean-am
743
744 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
745         mostlyclean-libtool
746
747 pdf: pdf-am
748
749 pdf-am:
750
751 ps: ps-am
752
753 ps-am:
754
755 uninstall-am:
756
757 .MAKE: install-am install-strip
758
759 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
760         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
761         distclean distclean-compile distclean-generic \
762         distclean-libtool distclean-tags distdir dvi dvi-am html \
763         html-am info info-am install install-am install-data \
764         install-data-am install-dvi install-dvi-am install-exec \
765         install-exec-am install-html install-html-am install-info \
766         install-info-am install-man install-pdf install-pdf-am \
767         install-ps install-ps-am install-strip installcheck \
768         installcheck-am installdirs maintainer-clean \
769         maintainer-clean-generic mostlyclean mostlyclean-compile \
770         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
771         tags uninstall uninstall-am
772
773
774 # Take care of generatated sources
775 bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
776         cd bandwidth; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth ../$(top_srcdir)/examples/amok/bandwidth/bandwidth.xml
777
778 # Take care of generatated sources
779 saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
780         cd saturate; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate ../$(top_srcdir)/examples/amok/saturate/saturate.xml
781
782 dist-files:
783         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
784         @echo
785         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
786
787 #########
788 # Cruft #
789 #########
790 # Tell versions [3.59,3.63) of GNU make to not export all variables.
791 # Otherwise a system limit (for SysV at least) may be exceeded.
792 .NOEXPORT: